EvolutionDescription Class Reference

Market-model evolution description. More...

`#include <ql/models/marketmodels/evolutiondescription.hpp>`

## Public Member Functions

| EvolutionDescription (const std::vector< Time > &rateTimes, const std::vector< Time > &evolutionTimes=std::vector< Time >(), const std::vector< std::pair< Size, Size > > &relevanceRates=std::vector< range >())
const std::vector< Time > & | rateTimes () const
const std::vector< Time > & | rateTaus () const
const std::vector< Time > & | evolutionTimes () const
const std::vector< Size > & | firstAliveRate () const
const std::vector< std::pair< Size, Size > > & | relevanceRates () const
Size | numberOfRates () const
Size | numberOfSteps () const

## Detailed Description

Market-model evolution description.

This class stores:

1. evolutionTimes = the times at which the rates need to be known,
2. rateTimes = the times defining the rates that are to be evolved,
3. relevanceRates = which rates need to be known at each time.

This class is really just a tuple of evolution and rate times;

- there will be n+1 rate times expressing payment and reset times of forward rates.
- there will be any number of evolution times.
- we also store which part of the rates are relevant for pricing via relevance rates. The important part for the i-th step will then range from relevanceRates[i].first to relevanceRates[i].second. Default values for relevance rates will be 0 and n.
- example for n = 5:

         |--—|--—|--—|--—|--—|      (size = 6)
         t0    t1    t2    t3    t4    t5     rateTimes
         f0    f1    f2    f3    f4           forwardRates
         d0    d1    d2    d3    d4    d5     discountBonds
         d0/d0 d1/d0 d2/d0 d3/d0 d4/d0 d5/d0  discountRatios
         sr0   sr1   sr2   sr3   sr4          coterminalSwaps